petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESGetLinearSolveFailures

Gets the number of failed (non-converged) linear solvers.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetLinearSolveFailures(SNES snes,PetscInt *nfails)

Not Collective

### Input Parameter

snes -SNES context

### Output Parameter

nfails -number of failed solves

### Options Database Keys

-snes_max_linear_solve_fail <num> -The number of failures before the solve is terminated

### Notes

This counter is reset to zero for each successive call to SNESSolve().

### Keywords

SNES, nonlinear, get, number, unsuccessful, steps

### See Also

SNESGetMaxLinearSolveFailures(), SNESGetLinearSolveIterations(), SNESSetMaxLinearSolveFailures()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages